Subject: Re: bug#8355: 24.0.50; Boxes in mode-line and scrolling

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Dec 2020 13:59:37 +0200

> From: Antoine Levitt <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 11 Dec 2020 10:08:03 +0100
> 
> > A reproduction recipe for where you see this happening more that will
> > be appreciated.
> 
> OK, I'll try it out more

Thanks in advance.

> > I also don't understand how you arrived at the 10% figure.  Can you
> > elaborate?
> 
> I assumed small, random variations in height of amplitude δh around a
> reference height h0, and n δh >> h0. Then the place where you fall
> before rounding is randomly distributed. You'll get movement only if
> you've rounded up or down by about the half-separation, which should
> happen a fraction 1/pixel height of the time. I have lines about 20px
> tall, so that's 5%; I multiply by two to account for the possibility of
> having rounded both up and down. If anything this should be an
> overestimate; but again my assumptions are probably unrealistic (eg for
> instance in my tex files the δh is always positive, which might explain
> why I always see movement in the same direction).

You assume random distribution of taller or smaller lines through the
document, but that is not necessarily true.  There could be large
groups of smaller or taller lines, which will skew the percentage.

Anyway, an example where this happens will be useful to at least
understand what's going on, and perhaps provide a better solution.